### Method

# Gimp FileProcedure set_mime_types

since: 3.0

#### Declaration [src]

    void
    gimp_file_procedure_set_mime_types (
      GimpFileProcedure* procedure,
      const gchar* mime_types
    )

#### Description [src]

Associates MIME types with a file handler procedure.

Registers MIME types for a file handler procedure. This allows GIMP to determine the MIME type of the file opened or saved using this procedure. It is recommended that only one MIME type is registered per file procedure; when registering more than one MIME type, GIMP will associate the first one with files opened or saved with this procedure.

Available since: 3.0

#### Parameters

`mime_types`

  Type: `const gchar*`

  A comma-separated list of MIME types, such as “image/jpeg”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.